package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.PastOrPresent;
import javax.validation.constraints.Positive;
import java.util.Date;
import java.util.List;

@ApiModel(value = "com-ym-mec-biz-dal-entity-Inspection")
public class Inspection {
    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 分部id
     */
    @ApiModelProperty(value = "分部id")
    @Positive(message = "老师id必须大于0")
    private Integer organId;

    /**
     * 主管userId
     */
    @ApiModelProperty(value = "主管userId",required = true)
    @Positive(message = "乐团主管必选")
    private Integer userId;

    /**
     * 月份
     */
    @ApiModelProperty(value = "月份",required = true)
    @NotNull(message = "工作周期不能为空")
    private Date month;

    /**
     * 处理意见
     */
    @ApiModelProperty(value = "处理意见")
    private String memo;

    /**
     * 操作人
     */
    @ApiModelProperty(value = "操作人")
    private Integer operation;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "分部名称")
    private String organName;

    @ApiModelProperty(value = "主管名字")
    private String userName;

    @ApiModelProperty(value = "任务事项数量")
    private Integer itemNum;

    @ApiModelProperty(value = "任务总次数")
    private Integer times;

    @ApiModelProperty(value = "巡查事项列表")
    @NotNull(message = "巡查事务项不能为空")
    private List<InspectionItem> inspectionItems;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Date getMonth() {
        return month;
    }

    public void setMonth(Date month) {
        this.month = month;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Integer getOperation() {
        return operation;
    }

    public void setOperation(Integer operation) {
        this.operation = operation;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getItemNum() {
        return itemNum;
    }

    public void setItemNum(Integer itemNum) {
        this.itemNum = itemNum;
    }

    public Integer getTimes() {
        return times;
    }

    public void setTimes(Integer times) {
        this.times = times;
    }

    public List<InspectionItem> getInspectionItems() {
        return inspectionItems;
    }

    public void setInspectionItems(List<InspectionItem> inspectionItems) {
        this.inspectionItems = inspectionItems;
    }
}